<div style="text-align: center">
  <h1>Manage staff</h1>
</div>
<div class='grid-container'>
  <div id='doctor-list' class='grid-item'>
    <nav>
      <form (ngSubmit)="deleteSelectedDoctors()">
        <b>Our Doctors</b>
        <ol style="border: 1px solid orange">
          <ng-container *ngFor="let doctor of doctorList">
            <li>
              <div class="doctor">
                <b>{{doctor.name}} {{doctor.lastname}}</b>
                <br/>
                <a>Contact:</a>
                <br/>
                <a>{{doctor.email}}</a>
                <br/>
                <a>Employed since: {{doctor.employmentDate}}</a>
                <br/>
                <a>Specialization:</a>
                <br/>
                <a>{{doctor.specialization}}</a>
                <br/>
                <a>Cabinet: {{doctor.cabinet}}</a>
                <div class="doctor-checkbox">
                  <input type="checkbox" [value]="doctor" (change)="onCheckChange(doctor)">
                </div>
              </div>
            </li>
          </ng-container>
        </ol>
        <div id="btn-delete-doctor">
          <button type="submit">Delete</button>
        </div>
      </form>
    </nav>
  </div>

  <div id='doctor-form' class='grid-item'>
    <b>Doctor Employment</b>
    <p></p>
    <form [formGroup]="doctorForm" (ngSubmit)="addDoctor()">
      <table>
        <tr>
          <td><label for="name">Name:</label></td>
          <td><input id="name"
                     formControlName="name" style="width: 185px"></td>
        </tr>
        <tr>
          <td><label for="lastname">Lastname:</label></td>
          <td><input id="lastname"
                     formControlName="lastname" style="width: 185px"></td>
        </tr>
        <tr>
          <td><label for="email">Email:</label></td>
          <td><input id="email"
                     formControlName="email" style="width: 185px"></td>
        </tr>
        <tr>
          <td><label for="specialization">Specialization:</label></td>
          <td><input id="specialization"
                     formControlName="specialization" style="width: 185px"></td>
        </tr>
        <tr>
          <td><label for="birthDate">Birth date:</label></td>
          <td><input id="birthDate" type="date"
                     formControlName="birthDate" style="width: 188px"></td>
        </tr>
        <tr>
          <td><label for="cabinet">Cabinet:</label></td>
          <td><input id="cabinet" type="number" step="1" min="1"
                     formControlName="cabinet" style="width: 185px"></td>
        </tr>
      </table>
      <div id="btn-add-doctor">
        <button type="submit">Save</button>
      </div>
    </form>
  </div>


  <div id='view-referral-form' class='grid-item'>
    <b>View Referrals On Doctor</b>
    <p></p>
    <div>
      <form [formGroup]="refsOnDoctorForm" (ngSubmit)="getReferralsOnDoctor()">
        <label for="doctorSelect">Referrals on </label>
        <select id="doctorSelect" formControlName="targetEmail"
                style="width: 150px">
          <option *ngFor="let doctor of doctorList" [value]="doctor.email">
            {{doctor.name}} {{doctor.lastname}}: {{doctor.specialization}}
          </option>
        </select>
        <button type="submit" style="margin-left: 10px">Show</button>
        <nav>
          <ol style="border: 1px solid orange">
            <ng-container *ngFor="let referral of referralsOnDoctor">
              <li >
                <div class="referral">
                  <b>{{referral.patient.name}} {{referral.patient.lastname}}</b>
                  <br/>
                  <a>Policy: {{referral.patient.policy.code}}</a>
                  <br/>
                  <a>Date: {{referral.appointmentDate}}</a>
                  <br/>
                  <a>Time: {{referral.appointmentTime}}</a>
                  <br/>
                  <a>Cabinet - {{referral.doctor.cabinet}}</a>
                </div>
              </li>
            </ng-container>
          </ol>
        </nav>
      </form>
    </div>
  </div>

  <div id='patient-form' class='grid-item'>
    <b>Patient registration</b>
    <p></p>
    <form [formGroup]="patientForm" (ngSubmit)="addPatient()">
      <table>
        <tr>
          <td><label for="patientName">Name:</label></td>
          <td><input id="patientName" formControlName="name" style="width: 185px"></td>
        </tr>
        <tr>
          <td><label for="patientLastname">Lastname:</label></td>
          <td><input id="patientLastname" formControlName="lastname" style="width: 185px"></td>
        </tr>
        <tr>
          <td><label for="patientEmail">Email:</label></td>
          <td><input id="patientEmail" formControlName="email" style="width: 185px"></td>
        </tr>
        <tr>
          <td><label for="patientBirthDate">Birth date:</label></td>
          <td><input id="patientBirthDate" type="date"
                     formControlName="birthDate" style="width: 188px"></td>
        </tr>
        <tr>
          <td><label for="employment">Employment:</label></td>
          <td>
            <select id="employment" formControlName="employment" style="width: 193px">
              <option>UNKNOWN</option>
              <option>STUDENT</option>
              <option>EMPLOYED</option>
              <option>RETIRED</option>
            </select>
          </td>
        </tr>
      </table>
      <div id="btn-add-patient">
        <button type="submit">Save</button>
      </div>
    </form>
  </div>
</div>
